petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetFromOptions

Sets various Tao parameters from user options.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetFromOptions(Tao tao)

Collective on Tao

### Input Paremeter

tao -the Tao solver context

### options Database Keys

| -tao_type <type> | - The algorithm that TAO uses (lmvm, nls, etc.)
| -tao_gatol <gatol> | - absolute error tolerance for ||gradient||
| -tao_grtol <grtol> | - relative error tolerance for ||gradient||
| -tao_gttol <gttol> | - reduction of ||gradient|| relative to initial gradient
| -tao_max_it <max> | - sets maximum number of iterations
| -tao_max_funcs <max> | - sets maximum number of function evaluations
| -tao_fmin <fmin> | - stop if function value reaches fmin
| -tao_steptol <tol> | - stop if trust region radius less than <tol>
| -tao_trust0 <t> | - initial trust region radius
| -tao_monitor | - prints function value and residual at each iteration
| -tao_smonitor | - same as tao_monitor, but truncates very small values
| -tao_cmonitor | - prints function value, residual, and constraint norm at each iteration
| -tao_view_solution | - prints solution vector at each iteration
| -tao_view_separableobjective | - prints separable objective vector at each iteration
| -tao_view_step | - prints step direction vector at each iteration
| -tao_view_gradient | - prints gradient vector at each iteration
| -tao_draw_solution | - graphically view solution vector at each iteration
| -tao_draw_step | - graphically view step vector at each iteration
| -tao_draw_gradient | - graphically view gradient at each iteration
| -tao_fd_gradient | - use gradient computed with finite differences
| -tao_fd_hessian | - use hessian computed with finite differences
| -tao_mf_hessian | - use matrix-free hessian computed with finite differences
| -tao_cancelmonitors | - cancels all monitors (except those set with command line)
| -tao_view | - prints information about the Tao after solving
| -tao_converged_reason | - prints the reason TAO stopped iterating

### Notes

To see all options, run your program with the -help option or consult the user's manual. Should be called after TaoCreate() but before TaoSolve()

### Level

beginner

### Location

src/tao/interface/taosolver.c

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F90.html

### Implementations

TaoSetFromOptions_BLMVM in src/tao/bound/impls/blmvm/blmvm.c
TaoSetFromOptions_BNCG in src/tao/bound/impls/bncg/bncg.c
TaoSetFromOptions_BNK in src/tao/bound/impls/bnk/bnk.c
TaoSetFromOptions_BNTL in src/tao/bound/impls/bnk/bntl.c
TaoSetFromOptions_BNTR in src/tao/bound/impls/bnk/bntr.c
TaoSetFromOptions_BQNK in src/tao/bound/impls/bqnk/bqnk.c
TaoSetFromOptions_BQNLS in src/tao/bound/impls/bqnls/bqnls.c
TaoSetFromOptions_TRON in src/tao/bound/impls/tron/tron.c
TaoSetFromOptions_SSLS in src/tao/complementarity/impls/ssls/ssls.c
TaoSetFromOptions_IPM in src/tao/constrained/impls/ipm/ipm.c
TaoSetFromOptions_POUNDERS in src/tao/leastsquares/impls/pounders/pounders.c
TaoSetFromOptions_LCL in src/tao/pde_constrained/impls/lcl/lcl.c
TaoSetFromOptions_BQPIP in src/tao/quadratic/impls/bqpip/bqpip.c
TaoSetFromOptions_GPCG in src/tao/quadratic/impls/gpcg/gpcg.c
TaoSetFromOptions_BMRM in src/tao/unconstrained/impls/bmrm/bmrm.c
TaoSetFromOptions_CG in src/tao/unconstrained/impls/cg/taocg.c
TaoSetFromOptions_LMVM in src/tao/unconstrained/impls/lmvm/lmvm.c
TaoSetFromOptions_NM in src/tao/unconstrained/impls/neldermead/neldermead.c
TaoSetFromOptions_NLS in src/tao/unconstrained/impls/nls/nls.c
TaoSetFromOptions_NTL in src/tao/unconstrained/impls/ntl/ntl.c
TaoSetFromOptions_NTR in src/tao/unconstrained/impls/ntr/ntr.c
TaoSetFromOptions_OWLQN in src/tao/unconstrained/impls/owlqn/owlqn.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages